EdgeBlendBuilder Class

class NXOpen.Features.EdgeBlendBuilder

Bases: NXOpen.Features.FeatureBuilder

Represents a Edge Blend builder.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateEdgeBlendBuilder()

Default values.

Property Value
TrimmingOption False

New in version NX4.0.0.

Properties

Property Description
AllInstancesOption Returns or sets the blend all instances option
BlendFaceContinuity Returns or sets the Blend Face Continuity option
BlendOrder Returns or sets the order of blending for edge blend
CliffEdges Returns or sets the forced cliff edges for edge blend
ConvexConcaveY Returns or sets the Special blend at convex / concave Y option
LimitFailingAreas Returns or sets the Limit Failing Areas option
LimitsListData Returns the limits list
MoveSharpEdge Returns or sets the Maintain blend and move sharp edges option
NonCliffEdges Returns or sets the prohibited cliff edges for edge blend
OverlapOption Returns or sets the overlap resolution for edge blend
ParentFeatureInternal Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal
PatchComplexGeometryAreas Returns or sets the Patch Areas option
PatchSolutionFlag Returns or sets the patch solution flag
PatchSurfaceFilename Returns or sets the patch surface filename
RemoveSelfIntersection Returns or sets the Remove self-intersection option
RollOntoEdge Returns or sets the Roll onto edges option
RollOverSmoothEdge Returns or sets the Roll over smooth edges option
SegmentBlendFaces Returns or sets the Segment blend to match face segments option
SetbackOption Returns or sets the setback option for edge blend
SurroundingPatchSurfaceFilename Returns or sets the surrounding patch surface filename
Tag Returns the Tag for this object.
Tolerance Returns or sets the tolerance of a variable blend
TrimmingOption Returns or sets the trimming option
ZeroSlopeRadiusFunctionAtChainEnds Returns or sets the zero slope radius function at chain ends option

Methods

Method Description
AddChainset Add an edge blend chainset to the edge blend
AddEdgeChainData Add an edge blend edge chain data to the edge blend
AddNewStopshortData Add an edge blend stop short data for an edge in the edge blend
AddPointOnEdgeChainData Add a point on edge chain data to the edge blend
AddSetbackData Add an edge blend setback data for an edge in the edge blend
AddStopshortData Add an edge blend stop short data for an edge in the edge blend
AddVariablePointData Add an edge blend variable radius data for an edge in the edge blend
AddVariableRadiusData Add an edge blend variable radius data for an edge in the edge blend
AddVariableRadiusDataNew Add an edge blend variable radius data for an edge in the edge blend * Note: This ja will always create arclength parameter
Commit Commits any edits that have been applied to the builder.
CommitFeature Commits the feature parameters and creates the feature
Destroy Deletes the builder, and cleans up any objects created by the builder.
EditVariablePointData Edit an edge blend variable radius data for an edge in the edge blend
EditVariableRadiusData Edit an edge blend variable radius data for an edge in the edge blend
EditVariableRadiusDataNew Edit an edge blend variable radius data for an edge in the edge blend
GetChainset Get collector and radius for an edge blend chainset given the index of the chainset
GetChainsetAndSectionValue Get collector, radius and section types for an edge blend chainset given the index of the chainset
GetChainsetAndStatus Get collector, radius and validity status for an edge blend chainset given the index of the chainset
GetChainsetIndex Get the index of edge blend chainset given the collector
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFeature Returns the feature currently being edited by this builder.
GetNewStopshortData Get an edge blend stop short data for the index provided
GetNumberOfValidChainsets Get the number of valid chainsets
GetObject Returns the object currently being edited by this builder.
GetSetbackData Get an edge blend setback data for the index provided
GetStopshortData Get an edge blend stop short data for the index provided
GetVariableRadiusData Get all the variable radii data for an edge in the edge blend
GetVariableRadiusDataNew Get all the variable radii data for an edge in the edge blend
HideInternalParentFeatureAfterEdit Re-suppress an internal parent feature (a slave feature) after it has been edited.
RemoveChainset Delete an edge blend chainset from the edge blend.
RemoveChainsetByCollector Delete an edge blend chainset from the edge blend.
RemoveEdgeChainAndPointOnEdgeChainData Remove all existing edge chain data and point on edge chain data
RemoveNewStopshortData Remove an edge blend stop short corresponding to a BlendStopshortBuilder
RemoveSetbackData Remove an edge blend setback data for an edge in the edge blend
RemoveStopshortData Remove an edge blend stop short data for an edge
RemoveStopshortDataByType Remove the stop short from an edge, given its type and location
RemoveVariableRadiusData Remove variable radius data on an edge by the parameter value of the point on the edge
RemoveVariableRadiusDataByIndex Remove variable radius data on an edge by the index into the point array on the edge
SetParentFeatureInternal Set the parent features which would be internal or slaves to the feature being created or commited
ShowInternalParentFeatureForEdit Unsuppress an internal parent feature (a slave feature) so it can be edited.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
UnsetParentFeatureInternal Set the internal parent feature of the feature being edited to external
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

EdgeBlendBuilderConic Enumeration This enum represents the Conic option
EdgeBlendBuilderFaceContinuity Enumeration The Blend Face Continuity
EdgeBlendBuilderOrderOfBlending Enumeration This enum represents the order of Blending
EdgeBlendBuilderOverlap Enumeration This enum represents the Overlap resolution options for Edge Blend
EdgeBlendBuilderRhotype Enumeration This enum represents the rho type for conic section blend
EdgeBlendBuilderSection Enumeration This enum represents the Section option
EdgeBlendBuilderSetback Enumeration This enum represents the Setback option

Property Detail

AllInstancesOption

EdgeBlendBuilder.AllInstancesOption

Returns or sets the blend all instances option

-------------------------------------

Getter Method

Signature AllInstancesOption

Returns:
Return type:bool

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature AllInstancesOption

Parameters:optionValue (bool) –

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

BlendFaceContinuity

EdgeBlendBuilder.BlendFaceContinuity

Returns or sets the Blend Face Continuity option

-------------------------------------

Getter Method

Signature BlendFaceContinuity

Returns:
Return type:NXOpen.Features.EdgeBlendBuilderFaceContinuity

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature BlendFaceContinuity

Parameters:optionValue (NXOpen.Features.EdgeBlendBuilderFaceContinuity) –

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

BlendOrder

EdgeBlendBuilder.BlendOrder

Returns or sets the order of blending for edge blend

-------------------------------------

Getter Method

Signature BlendOrder

Returns:
Return type:NXOpen.Features.EdgeBlendBuilderOrderOfBlending

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature BlendOrder

Parameters:blendOrder (NXOpen.Features.EdgeBlendBuilderOrderOfBlending) –

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

CliffEdges

EdgeBlendBuilder.CliffEdges

Returns or sets the forced cliff edges for edge blend

-------------------------------------

Getter Method

Signature CliffEdges

Returns:The cliff edge collector
Return type:NXOpen.ScCollector

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature CliffEdges

Parameters:cliffEdgeCollector (NXOpen.ScCollector) – The cliff edge collector

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

ConvexConcaveY

EdgeBlendBuilder.ConvexConcaveY

Returns or sets the Special blend at convex / concave Y option

-------------------------------------

Getter Method

Signature ConvexConcaveY

Returns:
Return type:bool

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ConvexConcaveY

Parameters:optionValue (bool) –

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

LimitFailingAreas

EdgeBlendBuilder.LimitFailingAreas

Returns or sets the Limit Failing Areas option

-------------------------------------

Getter Method

Signature LimitFailingAreas

Returns:
Return type:bool

New in version NX8.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature LimitFailingAreas

Parameters:optionValue (bool) –

New in version NX8.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

LimitsListData

EdgeBlendBuilder.LimitsListData

Returns the limits list

-------------------------------------

Getter Method

Signature LimitsListData

Returns:
Return type:NXOpen.GeometricUtilities.BlendLimitsData

New in version NX5.0.0.

License requirements: None.

MoveSharpEdge

EdgeBlendBuilder.MoveSharpEdge

Returns or sets the Maintain blend and move sharp edges option

-------------------------------------

Getter Method

Signature MoveSharpEdge

Returns:
Return type:bool

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature MoveSharpEdge

Parameters:optionValue (bool) –

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

NonCliffEdges

EdgeBlendBuilder.NonCliffEdges

Returns or sets the prohibited cliff edges for edge blend

-------------------------------------

Getter Method

Signature NonCliffEdges

Returns:The non cliff edge collector
Return type:NXOpen.ScCollector

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature NonCliffEdges

Parameters:nonCliffEdgeCollector (NXOpen.ScCollector) – The non cliff edge collector

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

OverlapOption

EdgeBlendBuilder.OverlapOption

Returns or sets the overlap resolution for edge blend

-------------------------------------

Getter Method

Signature OverlapOption

Returns:
Return type:NXOpen.Features.EdgeBlendBuilderOverlap

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature OverlapOption

Parameters:overlapOption (NXOpen.Features.EdgeBlendBuilderOverlap) –

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

PatchComplexGeometryAreas

EdgeBlendBuilder.PatchComplexGeometryAreas

Returns or sets the Patch Areas option

-------------------------------------

Getter Method

Signature PatchComplexGeometryAreas

Returns:
Return type:bool

New in version NX8.5.0.

License requirements: None.

-------------------------------------

Setter Method

Signature PatchComplexGeometryAreas

Parameters:optionValue (bool) –

New in version NX8.5.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

RemoveSelfIntersection

EdgeBlendBuilder.RemoveSelfIntersection

Returns or sets the Remove self-intersection option

-------------------------------------

Getter Method

Signature RemoveSelfIntersection

Returns:
Return type:bool

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature RemoveSelfIntersection

Parameters:optionValue (bool) –

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

RollOntoEdge

EdgeBlendBuilder.RollOntoEdge

Returns or sets the Roll onto edges option

-------------------------------------

Getter Method

Signature RollOntoEdge

Returns:
Return type:bool

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature RollOntoEdge

Parameters:optionValue (bool) –

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

RollOverSmoothEdge

EdgeBlendBuilder.RollOverSmoothEdge

Returns or sets the Roll over smooth edges option

-------------------------------------

Getter Method

Signature RollOverSmoothEdge

Returns:
Return type:bool

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature RollOverSmoothEdge

Parameters:optionValue (bool) –

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SegmentBlendFaces

EdgeBlendBuilder.SegmentBlendFaces

Returns or sets the Segment blend to match face segments option

-------------------------------------

Getter Method

Signature SegmentBlendFaces

Returns:
Return type:bool

New in version NX10.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature SegmentBlendFaces

Parameters:optionValue (bool) –

New in version NX10.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

SetbackOption

EdgeBlendBuilder.SetbackOption

Returns or sets the setback option for edge blend

-------------------------------------

Getter Method

Signature SetbackOption

Returns:
Return type:NXOpen.Features.EdgeBlendBuilderSetback

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature SetbackOption

Parameters:setbackOption (NXOpen.Features.EdgeBlendBuilderSetback) –

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Tolerance

EdgeBlendBuilder.Tolerance

Returns or sets the tolerance of a variable blend

-------------------------------------

Getter Method

Signature Tolerance

Returns:
Return type:float

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Tolerance

Parameters:tolerance (float) –

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

TrimmingOption

EdgeBlendBuilder.TrimmingOption

Returns or sets the trimming option

-------------------------------------

Getter Method

Signature TrimmingOption

Returns:
Return type:bool

New in version NX5.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature TrimmingOption

Parameters:optionValue (bool) –

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

ZeroSlopeRadiusFunctionAtChainEnds

EdgeBlendBuilder.ZeroSlopeRadiusFunctionAtChainEnds

Returns or sets the zero slope radius function at chain ends option

-------------------------------------

Getter Method

Signature ZeroSlopeRadiusFunctionAtChainEnds

Returns:
Return type:bool

New in version NX10.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature ZeroSlopeRadiusFunctionAtChainEnds

Parameters:optionValue (bool) –

New in version NX10.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

Method Detail

AddChainset

EdgeBlendBuilder.AddChainset

Overloaded method AddChainset

  • AddChainset(collector, radius)
  • AddChainset(collector, sectionType, conicMethod, rhoType, radius, center, rho)

-------------------------------------

Add an edge blend chainset to the edge blend

Signature AddChainset(collector, radius)

Parameters:
  • collector (NXOpen.ScCollector) – The collector for this edge blend chainset
  • radius (str) – The radius of this chain set collector
Returns:

Index of chainset, indicating which chainset we are dealing with

Return type:

int

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

-------------------------------------

Add an edge blend chainset to the edge blend

Signature AddChainset(collector, sectionType, conicMethod, rhoType, radius, center, rho)

Parameters:
Returns:

Index of chainset, indicating which chainset we are dealing with

Return type:

int

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

-------------------------------------

AddEdgeChainData

EdgeBlendBuilder.AddEdgeChainData

Add an edge blend edge chain data to the edge blend

Signature AddEdgeChainData(edgeArray, edgeAlongChainDirectionArray, isChainClosed, isChainPartOfNetwork)

Parameters:
  • edgeArray (list of NXOpen.Edge) – Array of edges that are used by the edge chain
  • edgeAlongChainDirectionArray (list of bool) – Array of chain edge along chain direction flags
  • isChainClosed (bool) – is the edge chain closed or not
  • isChainPartOfNetwork (bool) – is the edge chain part of chain network (junction) or not

New in version NX11.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

AddNewStopshortData

EdgeBlendBuilder.AddNewStopshortData

Add an edge blend stop short data for an edge in the edge blend

Signature AddNewStopshortData(builder)

Parameters:builder (NXOpen.GeometricUtilities.BlendStopshortBuilder) – the Stopshort Data
Returns:Index of where stop short data item is created.
Return type:int

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

AddPointOnEdgeChainData

EdgeBlendBuilder.AddPointOnEdgeChainData

Add a point on edge chain data to the edge blend

Signature AddPointOnEdgeChainData(edgeArray, parameterOnChain, isArclength, radius, centerValue, rhoValue, smartPoint, isExternal)

Parameters:
  • edgeArray (list of NXOpen.Edge) – Array of edges that are used by the edge chain
  • parameterOnChain (float) – The variable radius point parameter along the chain. If isArcLength is false, this value is a percentage value
  • isArclength (bool) – Flag indicating whether parameter is arclength or percentage arclength
  • radius (float) – The radius at this point on the edge.
  • centerValue (float) – The conic center value at this point on the edge.
  • rhoValue (float) – The conic rho value at this point on the edge.
  • smartPoint (NXOpen.Point) – Smart Point defining the location of this variable radius
  • isExternal (bool) – Flag indicating whether this point is external to blend

New in version NX11.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

AddSetbackData

EdgeBlendBuilder.AddSetbackData

Add an edge blend setback data for an edge in the edge blend

Signature AddSetbackData(edgeArray, fromStart, distance)

Parameters:
  • edgeArray (list of NXOpen.Edge) – Array of Edge collector tags that are used by the setback
  • fromStart (list of bool) – if true, then the setback is defined at the start vertex. Otherwise, it is defined at the end vertex. There is one for each input edge.
  • distance (list of str) – Array of distances
Returns:

Index of where setback data item is created.

Return type:

int

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

AddStopshortData

EdgeBlendBuilder.AddStopshortData

Add an edge blend stop short data for an edge in the edge blend

Signature AddStopshortData(edge, fromStart, distance)

Parameters:
  • edge (NXOpen.Edge) – Edge to add stop short data on
  • fromStart (bool) – if true, then the stopshort is defined at the start vertex. Otherwise, it is defined at the end vertex.
  • distance (str) – The distance for the stopshort on the edge.
Returns:

Index of where stop short data item is created.

Return type:

int

New in version NX4.0.0.

Deprecated since version NX5.0.0: Use Features.EdgeBlendBuilder.AddNewStopshortData() instead.

License requirements: solid_modeling (“SOLIDS MODELING”)

AddVariablePointData

EdgeBlendBuilder.AddVariablePointData

Add an edge blend variable radius data for an edge in the edge blend

Signature AddVariablePointData(edge, parameter, radius, centerValue, rhoValue, smartPoint, isExternal, isArclength)

Parameters:
  • edge (NXOpen.Edge) – Edge to add stop short data on
  • parameter (str) – Parameter location of point on the edge
  • radius (str) – The radius at this point on the edge.
  • centerValue (str) – The conic center value at this point on the edge.
  • rhoValue (str) – The conic rho value at this point on the edge.
  • smartPoint (NXOpen.Point) – Smart Point defining the location of this vr
  • isExternal (bool) – Flag indicating whether this point is external to blend
  • isArclength (bool) – Flag indicating whether parameter is arclength or not
Returns:

Index of where variable radius data item is created

Return type:

int

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

AddVariableRadiusData

EdgeBlendBuilder.AddVariableRadiusData

Add an edge blend variable radius data for an edge in the edge blend

Signature AddVariableRadiusData(edge, parameter, radius, smartPoint, isExternal)

Parameters:
  • edge (NXOpen.Edge) – Edge to add stop short data on
  • parameter (float) – Parameter location of point on the edge
  • radius (str) – The radius at this point on the edge.
  • smartPoint (NXOpen.Point) – Smart Point defining the location of this vr
  • isExternal (bool) – Flag indicating whether this point is external to blend
Returns:

Index of where variable radius data item is created

Return type:

int

New in version NX4.0.0.

Deprecated since version NX6.0.0: Use Features.EdgeBlendBuilder.AddVariableRadiusDataNew() instead.

License requirements: solid_modeling (“SOLIDS MODELING”)

AddVariableRadiusDataNew

EdgeBlendBuilder.AddVariableRadiusDataNew

Overloaded method AddVariableRadiusDataNew

  • AddVariableRadiusDataNew(edge, parameter, radius, smartPoint, isExternal)
  • AddVariableRadiusDataNew(edge, parameter, radius, smartPoint, isExternal, isArclength)

-------------------------------------

Add an edge blend variable radius data for an edge in the edge blend * Note: This ja will always create arclength parameter

Signature AddVariableRadiusDataNew(edge, parameter, radius, smartPoint, isExternal)

Parameters:
  • edge (NXOpen.Edge) – Edge to add stop short data on
  • parameter (str) – Parameter location of point on the edge
  • radius (str) – The radius at this point on the edge.
  • smartPoint (NXOpen.Point) – Smart Point defining the location of this vr
  • isExternal (bool) – Flag indicating whether this point is external to blend
Returns:

Index of where variable radius data item is created

Return type:

int

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

-------------------------------------

Add an edge blend variable radius data for an edge in the edge blend

Signature AddVariableRadiusDataNew(edge, parameter, radius, smartPoint, isExternal, isArclength)

Parameters:
  • edge (NXOpen.Edge) – Edge to add stop short data on
  • parameter (str) – Parameter location of point on the edge
  • radius (str) – The radius at this point on the edge.
  • smartPoint (NXOpen.Point) – Smart Point defining the location of this vr
  • isExternal (bool) – Flag indicating whether this point is external to blend
  • isArclength (bool) – Flag indicating whether parameter is arclength or not
Returns:

Index of where variable radius data item is created

Return type:

int

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

-------------------------------------

EditVariablePointData

EdgeBlendBuilder.EditVariablePointData

Edit an edge blend variable radius data for an edge in the edge blend

Signature EditVariablePointData(edge, vrIndex, parameter, radius, centerValue, rhoValue, smartPoint, isExternal, isArclength)

Parameters:
  • edge (NXOpen.Edge) – Edge to add stop short data on
  • vrIndex (int) – Index of what variable radius data item to edit
  • parameter (str) – Parameter location of point on the edge
  • radius (str) – The radius at this point on the edge.
  • centerValue (str) – The conic center value at this point on the edge.
  • rhoValue (str) – The conic center value at this point on the edge.
  • smartPoint (NXOpen.Point) – Smart Point defining the location of this vr
  • isExternal (bool) – Flag indicating whether this point is external to blend
  • isArclength (bool) – Flag indicating whether the parameter is arclength or not

New in version NX8.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

EditVariableRadiusData

EdgeBlendBuilder.EditVariableRadiusData

Edit an edge blend variable radius data for an edge in the edge blend

Signature EditVariableRadiusData(edge, vrIndex, parameter, radius, smartPoint, isExternal)

Parameters:
  • edge (NXOpen.Edge) – Edge to add stop short data on
  • vrIndex (int) – Index of what variable radius data item to edit
  • parameter (float) – Parameter location of point on the edge
  • radius (str) – The radius at this point on the edge.
  • smartPoint (NXOpen.Point) – Smart Point defining the location of this vr
  • isExternal (bool) – Flag indicating whether this point is external to blend

New in version NX4.0.0.

Deprecated since version NX6.0.0: Use Features.EdgeBlendBuilder.EditVariableRadiusDataNew() instead.

License requirements: solid_modeling (“SOLIDS MODELING”)

EditVariableRadiusDataNew

EdgeBlendBuilder.EditVariableRadiusDataNew

Overloaded method EditVariableRadiusDataNew

  • EditVariableRadiusDataNew(edge, vrIndex, parameter, radius, smartPoint, isExternal)
  • EditVariableRadiusDataNew(edge, vrIndex, parameter, radius, smartPoint, isExternal, isArclength)

-------------------------------------

Edit an edge blend variable radius data for an edge in the edge blend

Signature EditVariableRadiusDataNew(edge, vrIndex, parameter, radius, smartPoint, isExternal)

Parameters:
  • edge (NXOpen.Edge) – Edge to add stop short data on
  • vrIndex (int) – Index of what variable radius data item to edit
  • parameter (str) – Parameter location of point on the edge
  • radius (str) – The radius at this point on the edge.
  • smartPoint (NXOpen.Point) – Smart Point defining the location of this vr
  • isExternal (bool) – Flag indicating whether this point is external to blend

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

-------------------------------------

Edit an edge blend variable radius data for an edge in the edge blend

Signature EditVariableRadiusDataNew(edge, vrIndex, parameter, radius, smartPoint, isExternal, isArclength)

Parameters:
  • edge (NXOpen.Edge) – Edge to add stop short data on
  • vrIndex (int) – Index of what variable radius data item to edit
  • parameter (str) – Parameter location of point on the edge
  • radius (str) – The radius at this point on the edge.
  • smartPoint (NXOpen.Point) – Smart Point defining the location of this vr
  • isExternal (bool) – Flag indicating whether this point is external to blend
  • isArclength (bool) – Flag indicating whether the parameter is arclength or not

New in version NX6.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

-------------------------------------

GetChainset

EdgeBlendBuilder.GetChainset

Get collector and radius for an edge blend chainset given the index of the chainset

Signature GetChainset(csIndex)

Parameters:csIndex (int) – Index of chainset, indicating which chainset we are dealing with
Returns:a tuple
Return type:A tuple consisting of (collector, radius). collector is a NXOpen.ScCollector. The collector for this edge blend chainset radius is a NXOpen.Expression. The radius of this chain set collector

New in version NX4.0.0.

License requirements: None.

GetChainsetAndSectionValue

EdgeBlendBuilder.GetChainsetAndSectionValue

Get collector, radius and section types for an edge blend chainset given the index of the chainset

Signature GetChainsetAndSectionValue(csIndex)

Parameters:csIndex (int) – Index of chainset
Returns:a tuple
Return type:A tuple consisting of (collector, sectionType, conicMethod, rhoType, radius, centerValueTAG, rhoValueTAG). collector is a NXOpen.ScCollector. The collector for this edge blend chainset sectionType is a NXOpen.Features.EdgeBlendBuilderSection. The section type of this chain set collector conicMethod is a NXOpen.Features.EdgeBlendBuilderConic. The conic method of this chain set collector rhoType is a NXOpen.Features.EdgeBlendBuilderRhotype. The rho type of this chain set collector radius is a NXOpen.Expression. The radius of this chain set collector centerValueTAG is a NXOpen.Expression. The conic center value expression of this chain set collector rhoValueTAG is a NXOpen.Expression. The conic rho value expression of this chain set collector

New in version NX10.0.3.

License requirements: None.

GetChainsetAndStatus

EdgeBlendBuilder.GetChainsetAndStatus

Get collector, radius and validity status for an edge blend chainset given the index of the chainset

Signature GetChainsetAndStatus(csIndex)

Parameters:csIndex (int) – Index of chainset
Returns:a tuple
Return type:A tuple consisting of (collector, radius, isValid). collector is a NXOpen.ScCollector. The collector for this edge blend chainset radius is a NXOpen.Expression. The radius of this chain set collector isValid is a bool. Is the chainset alive/valid ?

New in version NX5.0.0.

License requirements: None.

GetChainsetIndex

EdgeBlendBuilder.GetChainsetIndex

Get the index of edge blend chainset given the collector

Signature GetChainsetIndex(collector)

Parameters:collector (NXOpen.ScCollector) – The collector for this edge blend chainset
Returns:Index of chainset, indicating which chainset we are dealing with
Return type:int

New in version NX4.0.0.

License requirements: None.

GetNewStopshortData

EdgeBlendBuilder.GetNewStopshortData

Get an edge blend stop short data for the index provided

Signature GetNewStopshortData(ssIndex)

Parameters:ssIndex (int) – Index of where stop short data item is created
Returns:the Stopshort Data
Return type:NXOpen.GeometricUtilities.BlendStopshortBuilder

New in version NX5.0.0.

License requirements: None.

GetNumberOfValidChainsets

EdgeBlendBuilder.GetNumberOfValidChainsets

Get the number of valid chainsets

Signature GetNumberOfValidChainsets()

Returns:Number of valid chainsets
Return type:int

New in version NX5.0.0.

License requirements: None.

GetSetbackData

EdgeBlendBuilder.GetSetbackData

Get an edge blend setback data for the index provided

Signature GetSetbackData(sbIndex)

Parameters:sbIndex (int) – Index of where setback data item was created.
Returns:a tuple
Return type:A tuple consisting of (edgeArray, fromStart, distanceExp). edgeArray is a list of NXOpen.Edge. Array of Edge collector tags that are used by the setback fromStart is a list of bool. if true, then the setback is defined at the start vertex. Otherwise, it is defined at the end vertex. There is one for each output edge. distanceExp is a list of NXOpen.Expression. The distance for the setback on each edge.

New in version NX4.0.0.

License requirements: None.

GetStopshortData

EdgeBlendBuilder.GetStopshortData

Get an edge blend stop short data for the index provided

Signature GetStopshortData(ssIndex)

Parameters:ssIndex (int) – Index of where stop short data item is created.
Returns:a tuple
Return type:A tuple consisting of (distanceExp, edge, fromStart). distanceExp is a NXOpen.Expression. The distance for the stopshort on the edge. edge is a NXOpen.Edge. Edge the stop short data is on. fromStart is a bool. if true, then the stopshort is defined at the start vertex. Otherwise, it is defined at the end vertex.

New in version NX4.0.0.

Deprecated since version NX5.0.0: Use Features.EdgeBlendBuilder.GetNewStopshortData() instead.

License requirements: None.

GetVariableRadiusData

EdgeBlendBuilder.GetVariableRadiusData

Get all the variable radii data for an edge in the edge blend

Signature GetVariableRadiusData(edge)

Parameters:edge (NXOpen.Edge) – Edge to get all the varible radius data on
Returns:a tuple
Return type:A tuple consisting of (parameter, radiiExp, smartPoints, isExternalFlagArray). parameter is a list of float. Parameter locations of points on the edge radiiExp is a list of NXOpen.Expression. The radius value of each point on the edge smartPoints is a list of NXOpen.Point. Array of smart points defining variable radius isExternalFlagArray is a list of bool. Corresponding is_external flags of the variable radius points

New in version NX4.0.0.

Deprecated since version NX6.0.0: Use Features.EdgeBlendBuilder.GetVariableRadiusDataNew() instead.

License requirements: None.

GetVariableRadiusDataNew

EdgeBlendBuilder.GetVariableRadiusDataNew

Get all the variable radii data for an edge in the edge blend

Signature GetVariableRadiusDataNew(edge)

Parameters:edge (NXOpen.Edge) – Edge to get all the varible radius data on
Returns:a tuple
Return type:A tuple consisting of (parameterExp, radiiExp, smartPoints, isExternalFlagArray). parameterExp is a list of NXOpen.Expression. Parameter value of points on the edge radiiExp is a list of NXOpen.Expression. The radius value of each point on the edge smartPoints is a list of NXOpen.Point. Array of smart points defining variable radius isExternalFlagArray is a list of bool. Corresponding is_external flags of the variable radius points

New in version NX6.0.0.

License requirements: None.

RemoveChainset

EdgeBlendBuilder.RemoveChainset

Delete an edge blend chainset from the edge blend.

Signature RemoveChainset(csIndex)

Parameters:csIndex (int) – Index of chainset, indicating which chainset we are dealing with

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

RemoveChainsetByCollector

EdgeBlendBuilder.RemoveChainsetByCollector

Delete an edge blend chainset from the edge blend.

Signature RemoveChainsetByCollector(collector)

Parameters:collector (NXOpen.ScCollector) – The collector for this edge blend chainset

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

RemoveEdgeChainAndPointOnEdgeChainData

EdgeBlendBuilder.RemoveEdgeChainAndPointOnEdgeChainData

Remove all existing edge chain data and point on edge chain data

Signature RemoveEdgeChainAndPointOnEdgeChainData()

New in version NX11.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

RemoveNewStopshortData

EdgeBlendBuilder.RemoveNewStopshortData

Remove an edge blend stop short corresponding to a BlendStopshortBuilder

Signature RemoveNewStopshortData(builder)

Parameters:builder (NXOpen.GeometricUtilities.BlendStopshortBuilder) – the Stopshort Data

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

RemoveSetbackData

EdgeBlendBuilder.RemoveSetbackData

Remove an edge blend setback data for an edge in the edge blend

Signature RemoveSetbackData(sbIndex)

Parameters:sbIndex (int) – Index of where setback data item was created

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

RemoveStopshortData

EdgeBlendBuilder.RemoveStopshortData

Overloaded method RemoveStopshortData

  • RemoveStopshortData(edge, fromStart)
  • RemoveStopshortData(ssIndex)

-------------------------------------

Remove an edge blend stop short data for an edge

Signature RemoveStopshortData(edge, fromStart)

Parameters:
  • edge (NXOpen.Edge) – Edge to remove the stopshort on
  • fromStart (bool) – if true, then the stopshort is defined at the start vertex. Otherwise, it is defined at the end vertex.

New in version NX4.0.0.

Deprecated since version NX5.0.0: Use Features.EdgeBlendBuilder.RemoveNewStopshortData() instead.

License requirements: solid_modeling (“SOLIDS MODELING”)

-------------------------------------

Remove an edge blend stop short data for the index indicated

Signature RemoveStopshortData(ssIndex)

Parameters:ssIndex (int) – Index of where stop short data item is created.

New in version NX4.0.0.

Deprecated since version NX5.0.0: Use Features.EdgeBlendBuilder.RemoveNewStopshortData() instead.

License requirements: solid_modeling (“SOLIDS MODELING”)

-------------------------------------

RemoveStopshortDataByType

EdgeBlendBuilder.RemoveStopshortDataByType

Remove the stop short from an edge, given its type and location

Signature RemoveStopshortDataByType(edge, fromStart, type)

Parameters:

New in version NX5.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

RemoveVariableRadiusData

EdgeBlendBuilder.RemoveVariableRadiusData

Overloaded method RemoveVariableRadiusData

  • RemoveVariableRadiusData(edge, parameter)
  • RemoveVariableRadiusData(edge)

-------------------------------------

Remove variable radius data on an edge by the parameter value of the point on the edge

Signature RemoveVariableRadiusData(edge, parameter)

Parameters:
  • edge (NXOpen.Edge) – Edge to add stop short data on
  • parameter (float) – Parameter location of point on the edge

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

-------------------------------------

Remove all variable radius datas on an edge

Signature RemoveVariableRadiusData(edge)

Parameters:edge (NXOpen.Edge) – Edge to remove all variable radius datas from

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

-------------------------------------

RemoveVariableRadiusDataByIndex

EdgeBlendBuilder.RemoveVariableRadiusDataByIndex

Remove variable radius data on an edge by the index into the point array on the edge

Signature RemoveVariableRadiusDataByIndex(edge, index)

Parameters:
  • edge (NXOpen.Edge) – Edge to remove variable radius data on
  • index (int) – Index into point array on the edge

New in version NX4.0.0.

License requirements: solid_modeling (“SOLIDS MODELING”)

Validate

EdgeBlendBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.